
%{!?project_version:%define project_version 1.0}
%{!?svn_rev:%define svn_rev 3089}

Summary: VMEDAQ - VME Data Acquisition System
Name: vmedaq
Version: %{project_version}
Release: 2.%{svn_rev}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/pub/doc/vmedaq
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mlink-kmod = 1.30
Requires: mlink = 1.30
BuildRequires: mlink-devel = 1.30
Requires: qt >= 3.3.6
BuildRequires: qt-devel >= 3.3.6
Requires: qwt >= 5.0
BuildRequires: qwt-devel >= 5.0
Requires: libxml++ >= 2.19
BuildRequires: libxml++-devel >= 2.19
BuildRequires: zlib >= 1.2

%description
VMEDAQ is a set of programs for online data acquisition with VME systems.

#%package devel
#Summary: VMEDAQ data file structures
#Group: Development/Base
#Requires: mlink-devel

#%description devel
#Header files describing VMEDAQ data file structures

%prep
%setup -q

%build
make NODEBUG=yes svn_rev=%{svn_rev}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot}%{_prefix} \
     CONFDIR=%{buildroot}%{_sysconfdir} \
     DATADIR=%{buildroot}%{_datadir} \
     install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0755,root,root,-)
%config(noreplace) %{_sysconfdir}/vmedaq_histmgr.xml
/usr/bin/vmedaq
/usr/bin/vmegui
/usr/bin/vmemc
/usr/bin/vmeinfo
/usr/bin/vmerawprint
/usr/bin/vmelog
/usr/bin/vmedecodeexample
%{_datadir}/applications/vmedaq.desktop
%{_datadir}/applications/vmegui.desktop
%doc

#%files devel
#%defattr(0644,root,root,-)
#%{_includedir}/*.h
#%{_prefix}/lib/lib*.a

%changelog
* Wed Aug  5 2009  <Ilja.Slepnev@jinr.ru> -
- Removed custom crc32 code, use Zlib

* Wed Apr 22 2009  <Ilja.Slepnev@jinr.ru> -
- get version number from version.h

* Thu Apr 16 2009  <Ilja.Slepnev@jinr.ru> - 
- Added VME Manual Controller

* Wed Apr 08 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.29: Removed special run-mode. Packet mode only.

* Thu Feb 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Histograms: added axis labels and titles, set from histmgr.xml

* Tue Nov 27 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.
